Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class LongHolder

    java.lang.Object
      |
      +--com.ericsson.otp.ic.LongHolder

All Implemented Interfaces:
  Holder, java.io.Serializable

public final class LongHolder
extends java.lang.Object
implements Holder

Holder class for Long, used by the Term class.

See Also:
  Serialized Form

Field Summary
`long` | `value`

Constructor Summary
`LongHolder()`
`LongHolder(long initial)`

Method Summary
`boolean` | `equals(long l)` Comparisson method for Longs.
`boolean` | `equals(java.lang.Object obj)` Comparisson method for Longs.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public long value

Constructor Detail

### LongHolder

    public LongHolder()

### LongHolder

    public LongHolder(long initial)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Comparisson method for Longs.
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the input object equals the current object, false otherwize

### equals

    public boolean equals(long l)

  Comparisson method for Longs.
  Returns:
    true if the input long value equals the value of the current object, false otherwize

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD